

#include "BUILTIN.h"
extern OBJ _AModBase_8(OBJ,OBJ);extern OBJ __AModBase_8;
extern OBJ __AModBase_12;
extern OBJ __AModBase_13;
extern OBJ _APErr_11(OBJ,OBJ);extern OBJ __APErr_11;
extern OBJ _APErr_12(OBJ,OBJ);extern OBJ __APErr_12;
extern OBJ _APErr_15(OBJ);extern OBJ __APErr_15;
extern OBJ __AZOpts_2;
extern OBJ __AZOpts_3;
extern OBJ __ABaseParser_19;
extern OBJ _ABaseParser_26(OBJ,OBJ);extern OBJ __ABaseParser_26;
extern OBJ _ABaseParser_36(OBJ,OBJ,OBJ,OBJ);extern OBJ __ABaseParser_36;
extern OBJ _ABaseParser_38(OBJ,OBJ,OBJ);extern OBJ __ABaseParser_38;
extern OBJ _ABaseParser_40(OBJ,OBJ,OBJ,OBJ);extern OBJ __ABaseParser_40;
extern OBJ _ABaseParser_42(OBJ,OBJ,OBJ,OBJ);extern OBJ __ABaseParser_42;
extern OBJ _ABaseParser_50(OBJ,OBJ);extern OBJ __ABaseParser_50;
extern OBJ _ABaseParser_61(OBJ,OBJ);extern OBJ __ABaseParser_61;
extern OBJ _ABaseParser_68(OBJ,OBJ);extern OBJ __ABaseParser_68;
extern OBJ _ABaseParser_71(OBJ,OBJ);extern OBJ __ABaseParser_71;
extern OBJ __AModName_2;
extern OBJ __AModName_3;
extern OBJ __AModName_5;
extern OBJ __AModName_6;
extern OBJ __AModName_7;
extern OBJ __AModName_9;
extern OBJ __AModName_10;
extern OBJ __AModName_11;
extern OBJ _AModBody_19(OBJ);extern OBJ __AModBody_19;
extern OBJ _AToken_8(OBJ,OBJ);extern OBJ __AToken_8;
extern OBJ _AToken_9(OBJ,OBJ);extern OBJ __AToken_9;

#include "Denotation.h"
extern OBJ __AAbsy_2;
extern OBJ __AOcError_10;
extern OBJ __AOcError_15;
extern OBJ _AOcError_16(OBJ,OBJ,OBJ);extern OBJ __AOcError_16;
extern OBJ __ASeq_6;

#include "Nat.h"

#include "Array.h"

#include "Char.h"

#include "Int.h"
extern OBJ __AFct_24;
extern OBJ __APartName_4;
extern OBJ __APartName_6;
extern OBJ __APartName_11;

#include "Bitset.h"
extern OBJ _ASet_39(OBJ,OBJ,OBJ);extern OBJ __ASet_39;
extern OBJ _ASet_42(OBJ,OBJ,OBJ);extern OBJ __ASet_42;
extern OBJ __ATerminal_20;
extern OBJ __ATerminal_34;
extern OBJ __ATerminal_52;
extern OBJ __ATerminal_72;
extern OBJ __ATerminal_74;
extern OBJ __ATerminal_76;
extern OBJ __ATerminal_78;
extern OBJ __ATerminal_80;
extern OBJ __ATerminal_82;
extern OBJ __ATerminal_84;
extern OBJ __ATerminal_94;
extern OBJ __ATerminal_96;
extern OBJ __ATerminal_98;
extern OBJ __ATerminal_108;
extern OBJ _ATerminal_141(OBJ,OBJ);extern OBJ __ATerminal_141;
extern OBJ _ATerminal_145(OBJ);extern OBJ __ATerminal_145;
extern OBJ __ATerminal_146;
OBJ __APName_1; /* pIde */
OBJ __APName_2; /* pName */
OBJ __APName_3; /* pLocalName */
extern OBJ _APName_4(OBJ);OBJ __APName_4; /* pFct */
extern OBJ _APName_5(OBJ);OBJ __APName_5; /* pOrigin */
OBJ __APName_6; /* pParams */
OBJ __APName_7; /* pWildcard */
extern OBJ _APName_8(OBJ);OBJ __APName_8; /* pSecPat */
extern OBJ _APName_9(OBJ);OBJ __APName_9; /* nameParser */
OBJ __APName_10; /* pIgnPat */
OBJ __APName_11; /* pOri */
OBJ __APName_12; /* localNameParser */
OBJ __APName_14; /* pKind */
OBJ __APName_15; /* pKindFct */
extern OBJ _APName_17(OBJ);OBJ __APName_17; /* pFunFct */
extern OBJ _APName_18(OBJ);OBJ __APName_18; /* pProdFct */
extern OBJ _APName_19(OBJ);OBJ __APName_19; /* pSimpleFct */
OBJ __APName_20; /* specialInName */
extern OBJ _APName_21(OBJ);OBJ __APName_21; /* pFct'21 */
extern OBJ _APName_22(OBJ);OBJ __APName_22; /* pFct'22 */
extern OBJ _APName_23(OBJ);OBJ __APName_23; /* pFct'23 */
extern OBJ _APName_24(OBJ);OBJ __APName_24; /* pFct'24 */
extern OBJ _APName_25(OBJ);OBJ __APName_25; /* pFct'25 */
OBJ __APName_26; /* pFct'26 */
OBJ __APName_27; /* pFct'27 */
extern OBJ _APName_28(OBJ,OBJ);OBJ __APName_28; /* pFct'28 */
extern OBJ _APName_29(OBJ);OBJ __APName_29; /* pOrigin'29 */
extern OBJ _APName_30(OBJ,OBJ);OBJ __APName_30; /* pOrigin'30 */
extern OBJ _APName_31(OBJ);OBJ __APName_31; /* pSecPat'31 */
extern OBJ _APName_32(OBJ);OBJ __APName_32; /* pSecPat'32 */
extern OBJ _APName_33(OBJ,OBJ);OBJ __APName_33; /* pSecPat'33 */
extern OBJ _APName_34(OBJ);OBJ __APName_34; /* nameParser'34 */
extern OBJ _APName_35(OBJ);OBJ __APName_35; /* nameParser'35 */
extern OBJ _APName_36(OBJ);OBJ __APName_36; /* nameParser'36 */
extern OBJ _APName_37(OBJ);OBJ __APName_37; /* nameParser'37 */
extern OBJ _APName_38(OBJ);OBJ __APName_38; /* nameParser'38 */
extern OBJ _APName_39(OBJ);OBJ __APName_39; /* nameParser'39 */
extern OBJ _APName_40(OBJ);OBJ __APName_40; /* nameParser'40 */
extern OBJ _APName_41(OBJ);OBJ __APName_41; /* nameParser'41 */
extern OBJ _APName_42(OBJ);OBJ __APName_42; /* nameParser'42 */
extern OBJ _APName_43(OBJ,OBJ);OBJ __APName_43; /* nameParser'43 */
extern OBJ _APName_44(OBJ,OBJ);OBJ __APName_44; /* pKind'44 */
extern OBJ _APName_45(OBJ);OBJ __APName_45; /* pKind'45 */
extern OBJ _APName_46(OBJ,OBJ);OBJ __APName_46; /* pKindFct'46 */
extern OBJ _APName_47(OBJ);OBJ __APName_47; /* pKindFct'47 */
extern OBJ _APName_48(OBJ);OBJ __APName_48; /* pFunFct'48 */
extern OBJ _APName_49(OBJ);OBJ __APName_49; /* pFunFct'49 */
extern OBJ _APName_50(OBJ);OBJ __APName_50; /* pFunFct'50 */
extern OBJ _APName_51(OBJ);OBJ __APName_51; /* pFunFct'51 */
extern OBJ _APName_52(OBJ);OBJ __APName_52; /* pFunFct'52 */
extern OBJ _APName_53(OBJ,OBJ);OBJ __APName_53; /* pFunFct'53 */
extern OBJ _APName_54(OBJ);OBJ __APName_54; /* pProdFct'54 */
extern OBJ _APName_55(OBJ,OBJ);OBJ __APName_55; /* pProdFct'55 */
extern OBJ _APName_56(OBJ);OBJ __APName_56; /* pSimpleFct'56 */
extern OBJ _APName_57(OBJ);OBJ __APName_57; /* pSimpleFct'57 */
extern OBJ _APName_58(OBJ);OBJ __APName_58; /* pSimpleFct'58 */
extern OBJ _APName_59(OBJ);OBJ __APName_59; /* pSimpleFct'59 */
extern OBJ _APName_60(OBJ);OBJ __APName_60; /* pSimpleFct'60 */
extern OBJ _APName_61(OBJ,OBJ);OBJ __APName_61; /* pSimpleFct'61 */

extern OBJ _APName_4(OBJ x1) /* pFct */
{OBJ r;
 CPCLS(__APName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_28,1))(__APName_28,x1);
 return r;}

extern OBJ _APName_5(OBJ x1) /* pOrigin */
{OBJ r;
 CPCLS(__APName_30,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_30,1))(__APName_30,x1);
 return r;}

extern OBJ _APName_8(OBJ x1) /* pSecPat */
{OBJ r;
 CPCLS(__APName_33,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_33,1))(__APName_33,x1);
 return r;}

extern OBJ _APName_9(OBJ x1) /* nameParser */
{OBJ r;
 CPCLS(__APName_43,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_43,1))(__APName_43,x1);
 return r;}

extern OBJ _APName_17(OBJ x1) /* pFunFct */
{OBJ r;
 CPCLS(__APName_53,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_53,1))(__APName_53,x1);
 return r;}

extern OBJ _APName_18(OBJ x1) /* pProdFct */
{OBJ r;
 CPCLS(__APName_55,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_55,1))(__APName_55,x1);
 return r;}

extern OBJ _APName_19(OBJ x1) /* pSimpleFct */
{OBJ r;
 CPCLS(__APName_61,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_61,1))(__APName_61,x1);
 return r;}

extern OBJ _APName_21(OBJ x1) /* pFct'21 */
{OBJ r;
 CPCLS(__ABaseParser_50,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_98);
 return r;}

extern OBJ _APName_22(OBJ x1) /* pFct'22 */
{OBJ r;
 CPCLS(__APName_4,1);
 CPCLS(__APName_21,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_13,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_21,1))(__APName_21,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_4,__AModBase_13);}
 return r;}

extern OBJ _APName_23(OBJ x1) /* pFct'23 */
{OBJ r;
 CPCLS(__APName_18,1);
 CPCLS(__APName_22,1);
 CPCLS(__ABaseParser_40,1);
 CPPRD(__AModName_6,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_22,1))(__APName_22,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_40,3))(__ABaseParser_40,__APName_18,x2,__AModName_6);}
 return r;}

extern OBJ _APName_24(OBJ x1) /* pFct'24 */
{OBJ r;
 r=_ATerminal_145(__ATerminal_82);
 return r;}

extern OBJ _APName_25(OBJ x1) /* pFct'25 */
{OBJ r;
 CPCLS(__APName_4,1);
 CPCLS(__APName_21,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_6,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_21,1))(__APName_21,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_4,__AModName_6);}
 return r;}

extern OBJ _APName_28(OBJ x1,OBJ x2) /* pFct'28 */
{OBJ r;
 {OBJ x6;OBJ x8;OBJ x15;OBJ x9;
  if(ISPRM(x1)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x4=FLD1(x1,1);
    CPPRD(x4,1);
    x6=x4;}}
  CPPRD(x6,1);
  x8=_AToken_9(__ATerminal_84,x6);
  if(ISTGPRM(x8,1)){
   {OBJ x12;
    if(ISPRM(x1)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x11=FLD1(x1,2);
      COPY(x11,1);
      x12=x11;}}
    if(ISPRM(x12)){
     CPCLS(__APName_23,1);
     x15=__ABUILTIN_5;
    }else{
     if(EXPRD(x12,1)){
      DSPRD(x12);
     }else{
      DCPRD(x12,1);}
     CPCLS(__APName_23,1);
     x15=__ABUILTIN_3;}}
  }else{
   CPCLS(__APName_23,1);
   x15=__ABUILTIN_3;}
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_23,1))(__APName_23,__ABUILTIN_20);
  if(ISTGPRM(x15,1)){
   FRCLS(x9,1);
   {OBJ x18;OBJ x19;
    if(ISPRM(x1)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x17=FLD1(x1,2);
      if(EXPRD(x1,1)){
       x18=x17;
       FRPRD(FLD1(x1,1),1);DSPRDF(x1);
      }else{
       COPY(x17,1);
       x18=x17;
       FRPRD(x1,1);}
      CPCLS(__APName_24,1);}}
    x19=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_24,1))(__APName_24,__ABUILTIN_20);
    {OBJ x22=FLD1(x6,3);
     if(EXPRD(x6,1)){
      FRPRD(FLD1(x6,2),1);DSPRDF(x6);
     }else{
      COPY(x22,1);
      FRPRD(x6,1);}
     {OBJ x23;
      x23=x22;
      PRD(3,0,r);FLD(r,2)=__AAbsy_2;FLD(r,3)=x18;
      FLD(r,1)=_APErr_12(x19,x23);}}}
  }else{
   {OBJ x33;
    if(ISTGPRM(x8,1)){
     {OBJ x27;
      if(ISPRM(x1)){
       HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
      }else{
       {OBJ x26=FLD1(x1,2);
	COPY(x26,1);
	x27=x26;}}
      if(ISPRM(x27)){
       x33=__ABUILTIN_3;
      }else{
       if(EXPRD(x27,1)){
	DSPRD(x27);
       }else{
	DCPRD(x27,1);}
       x33=__ABUILTIN_5;}}
    }else{
     x33=__ABUILTIN_3;}
    if(ISTGPRM(x33,1)){
     FRPRD(x6,1);
     {OBJ x36;OBJ x42;OBJ x39;OBJ x43;
      if(ISPRM(x1)){
       HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
      }else{
       {OBJ x35=FLD1(x1,2);
	COPY(x35,1);
	x36=x35;}}
      if(ISPRM(x36)){
       HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
      }else{
       {OBJ x85=FLD1(x36,1);
	CPPRD(x85,1);
	x42=x85;
	x39=__ABUILTIN_3;}}
      x43=_AToken_9(__ATerminal_82,x42);
      if(ISTGPRM(x43,1)){
       FREE(x1,1);
       FRCLS(x9,1);
       {OBJ x47;OBJ x44;OBJ x48;
	if(ISPRM(x36)){
	 HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	}else{
	 {OBJ x46=FLD1(x36,2);
	  if(EXPRD(x36,1)){
	   x47=x46;
	   FRPRD(FLD1(x36,1),1);DSPRDF(x36);
	  }else{
	   COPY(x46,1);
	   x47=x46;
	   FRPRD(x36,1);}
	  CPCLS(__APName_25,1);}}
	x44=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_25,1))(__APName_25,__ABUILTIN_20);
	x48=_ABaseParser_26(x44,x47);
	if(ISTGPRD(x48,1)){
	 {OBJ x77;OBJ x78;OBJ x79;
	  if(EXPRD(x48,1)){
	   RPRD(x48,r);CHGTG(r,0);
	  }else{
	   x77=FLD(x48,1);x78=FLD(x48,2);x79=FLD(x48,3);CPPRD(x77,1);COPY(x78,1);COPY(x79,1);
	   FRPRD(x48,1);PRD(3,0,r);FLD(r,1)=x77;FLD(r,2)=x78;FLD(r,3)=x79;}}
	}else{
	 r=x48;}}
      }else{
       FREE(x36,1);
       r=_ABaseParser_26(x9,x1);}}
    }else{
     CPPRD(x6,1);
     {OBJ x88;
      x88=_AToken_9(__ATerminal_96,x6);
      if(ISTGPRM(x88,1)){
       FRCLS(x9,1);
       {OBJ x91;
	if(ISPRM(x1)){
	 HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	}else{
	 {OBJ x90=FLD1(x1,2);
	  if(EXPRD(x1,1)){
	   x91=x90;
	   FRPRD(FLD1(x1,1),1);DSPRDF(x1);
	  }else{
	   COPY(x90,1);
	   x91=x90;
	   FRPRD(x1,1);}}}
	{OBJ x94=FLD1(x6,3);
	 if(EXPRD(x6,1)){
	  FRPRD(FLD1(x6,2),1);DSPRDF(x6);
	 }else{
	  COPY(x94,1);
	  FRPRD(x6,1);}
	 COPY(__APName_26,1);
	 CPPRD(__APName_27,1);
	 {OBJ x95;
	  x95=x94;
	  PRD(3,0,r);FLD(r,2)=__APName_26;FLD(r,3)=x91;
	  FLD(r,1)=_AOcError_16(__AOcError_10,__APName_27,x95);}}}
      }else{
       FRPRD(x6,1);
       r=_ABaseParser_26(x9,x1);}}}}}}
 return r;}

extern OBJ _APName_29(OBJ x1) /* pOrigin'29 */
{OBJ r;
 CPCLS(__APName_1,1);
 CPCLS(__APName_6,1);
 CPCLS(__ABaseParser_40,1);
 CPPRD(__AModName_10,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_40,3))(__ABaseParser_40,__APName_1,__APName_6,__AModName_10);
 return r;}

extern OBJ _APName_30(OBJ x1,OBJ x2) /* pOrigin'30 */
{OBJ r;
 CPCLS(__APName_29,1);
 CPPRD(__AModName_2,1);
 {OBJ x3;OBJ x4;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_29,1))(__APName_29,__ABUILTIN_20);
  x4=_ABaseParser_26(x3,x1);
  r=_AModBase_8(x4,__AModName_2);}
 return r;}

extern OBJ _APName_31(OBJ x1) /* pSecPat'31 */
{OBJ r;
 CPCLS(__ABaseParser_71,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_71,1))(__ABaseParser_71,__ATerminal_34);
 return r;}

extern OBJ _APName_32(OBJ x1) /* pSecPat'32 */
{OBJ r;
 CPCLS(__APName_10,1);
 CPCLS(__APName_31,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_13,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_31,1))(__APName_31,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_10,__AModBase_13);}
 return r;}

extern OBJ _APName_33(OBJ x1,OBJ x2) /* pSecPat'33 */
{OBJ r;
 if(ISTGPRM(__AZOpts_3,1)){
  CPCLS(__APName_32,1);
  {OBJ x4;
   x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_32,1))(__APName_32,__ABUILTIN_20);
   r=_ABaseParser_26(x4,x1);}
 }else{
  {OBJ x10;OBJ x7;OBJ x11;
   if(ISPRM(x1)){
    HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
   }else{
    {OBJ x30=FLD1(x1,1);OBJ x31=FLD1(x1,2);
     CPPRD(x30,1);COPY(x31,1);
     x7=x30;x10=x31;}}
   CPPRD(x7,1);
   x11=_AToken_9(__ATerminal_34,x7);
   if(ISTGPRM(x11,1)){
    FREE(x1,1);
    {OBJ x23;OBJ x24;FLAG x_x7=EXPRD(x7,1);
     if(x_x7){
     }else{
      x23=FLD1(x7,2);x24=FLD1(x7,3);CPPRD(x23,1);COPY(x24,1);}
     CPCLS(__APName_2,1);
     {OBJ x25;OBJ x26;
      if(x_x7){
       RSOME(x7,x25);FLD1(x25,1)=__ATerminal_72;
      }else{
       FRPRD(x7,1);PRD1(3,x25);FLD1(x25,1)=__ATerminal_72;FLD1(x25,2)=x23;FLD1(x25,3)=x24;}
      PRD1(2,x26);FLD1(x26,1)=x25;FLD1(x26,2)=x10;
      r=_ABaseParser_26(__APName_2,x26);}}
   }else{
    FRPRD(x7,1);
    {
     PRD(3,1,r);FLD(r,2)=__AAbsy_2;FLD(r,3)=x10;
     FLD(r,1)=_APErr_11(__ASeq_6,x1);}}}}
 return r;}

extern OBJ _APName_34(OBJ x1) /* nameParser'34 */
{OBJ r;
 CPCLS(__ABaseParser_71,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_71,1))(__ABaseParser_71,__ATerminal_78);
 return r;}

extern OBJ _APName_35(OBJ x1) /* nameParser'35 */
{OBJ r;
 CPCLS(__ABaseParser_71,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_71,1))(__ABaseParser_71,__ATerminal_76);
 return r;}

extern OBJ _APName_36(OBJ x1) /* nameParser'36 */
{OBJ r;
 CPCLS(__ABaseParser_71,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_71,1))(__ABaseParser_71,__ATerminal_94);
 return r;}

extern OBJ _APName_37(OBJ x1) /* nameParser'37 */
{OBJ r;
 CPCLS(__APName_11,1);
 CPCLS(__APName_34,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_13,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_34,1))(__APName_34,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_11,__AModBase_13);}
 return r;}

extern OBJ _APName_38(OBJ x1) /* nameParser'38 */
{OBJ r;
 CPCLS(__APName_6,1);
 CPCLS(__APName_35,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_13,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_35,1))(__APName_35,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_6,__AModBase_13);}
 return r;}

extern OBJ _APName_39(OBJ x1) /* nameParser'39 */
{OBJ r;
 CPCLS(__APName_14,1);
 CPCLS(__APName_36,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_13,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_36,1))(__APName_36,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_14,__AModBase_13);}
 return r;}

extern OBJ _APName_40(OBJ x1) /* nameParser'40 */
{OBJ r;
 CPCLS(__APName_1,1);
 CPCLS(__APName_37,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_9,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_37,1))(__APName_37,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,__APName_1,x2,__AModName_9);}
 return r;}

extern OBJ _APName_41(OBJ x1) /* nameParser'41 */
{OBJ r;
 CPCLS(__APName_38,1);
 CPCLS(__APName_40,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_10,1);
 {OBJ x2;OBJ x3;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_40,1))(__APName_40,__ABUILTIN_20);
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_38,1))(__APName_38,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,x3,__AModName_10);}
 return r;}

extern OBJ _APName_42(OBJ x1) /* nameParser'42 */
{OBJ r;
 CPCLS(__APName_39,1);
 CPCLS(__APName_41,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_11,1);
 {OBJ x2;OBJ x3;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_41,1))(__APName_41,__ABUILTIN_20);
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_39,1))(__APName_39,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,x3,__AModName_11);}
 return r;}

extern OBJ _APName_43(OBJ x1,OBJ x2) /* nameParser'43 */
{OBJ r;
 CPCLS(__APName_42,1);
 {OBJ x11;
  x11=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_42,1))(__APName_42,__ABUILTIN_20);
  r=_ABaseParser_26(x11,x1);}
 return r;}

extern OBJ _APName_44(OBJ x1,OBJ x2) /* pKind'44 */
{OBJ r;
 if(ISPRM(x1)){
  CPCLS(__ABaseParser_19,1);
  r=_ABaseParser_26(__ABaseParser_19,x1);
 }else{
  {OBJ x30=FLD1(x1,1);OBJ x31=FLD1(x1,2);
   CPPRD(x30,2);COPY(x31,1);
   {OBJ x32;
    x32=_AToken_8(x30,__ATerminal_108);
    if(ISTGPRM(x32,1)){
     if(EXPRD(x1,1)){
      DSPRD(x1);
     }else{
      DCPRD(x1,1);}
     FRPRD(x30,1);
     CPPRD(__AOcError_15,1);
     {OBJ x33;
      PRDF(1,3,x33);FLD(x33,1)=__APartName_11;
      PRD(3,0,r);FLD(r,1)=__AOcError_15;FLD(r,2)=x33;FLD(r,3)=x31;}
    }else{
     CPPRD(x30,1);
     {OBJ x34;
      x34=_AToken_8(x30,__ATerminal_52);
      if(ISTGPRM(x34,1)){
       if(EXPRD(x1,1)){
	DSPRD(x1);
       }else{
	DCPRD(x1,1);}
       FRPRD(x30,1);
       CPPRD(__AOcError_15,1);
       {OBJ x35;
	PRDF(1,3,x35);FLD(x35,1)=__APartName_6;
	PRD(3,0,r);FLD(r,1)=__AOcError_15;FLD(r,2)=x35;FLD(r,3)=x31;}
      }else{
       CPPRD(x30,1);
       {OBJ x36;
	x36=_AToken_8(x30,__ATerminal_20);
	if(ISTGPRM(x36,1)){
	 if(EXPRD(x1,1)){
	  DSPRD(x1);
	 }else{
	  DCPRD(x1,1);}
	 FRPRD(x30,1);
	 CPPRD(__AOcError_15,1);
	 {OBJ x37;
	  PRDF(1,3,x37);FLD(x37,1)=__APartName_4;
	  PRD(3,0,r);FLD(r,1)=__AOcError_15;FLD(r,2)=x37;FLD(r,3)=x31;}
	}else{
	 FREE(x31,1);
	 CPCLS(__APName_4,1);
	 {OBJ x38;
	  x38=_ABaseParser_26(__APName_4,x1);
	  {OBJ x41=FLD1(x30,3);
	   if(EXPRD(x30,1)){
	    FRPRD(FLD1(x30,2),1);DSPRDF(x30);
	   }else{
	    COPY(x41,1);
	    FRPRD(x30,1);}
	   {OBJ x42;
	    x42=_AModBody_19(x41);
	    r=_AModBase_8(x38,x42);}}}}}}}}}}}
 return r;}

extern OBJ _APName_45(OBJ x1) /* pKind'45 */
{OBJ r;
 CPCLS(__APName_44,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_44,1))(__APName_44,x1);
 return r;}

extern OBJ _APName_46(OBJ x1,OBJ x2) /* pKindFct'46 */
{OBJ r;
 CPCLS(__APName_4,1);
 COPY(x1,1);
 {OBJ x3;
  x3=_ABaseParser_26(__APName_4,x1);
  if(ISPRD(x1)){
   {OBJ x12=FLD1(x1,1);
    if(EXPRD(x1,1)){
     FREE(FLD1(x1,2),1);DSPRDF(x1);
    }else{
     CPPRD(x12,1);
     FRPRD(x1,1);}
    {OBJ x16=FLD1(x12,3);
     if(EXPRD(x12,1)){
      FRPRD(FLD1(x12,2),1);DSPRDF(x12);
     }else{
      COPY(x16,1);
      FRPRD(x12,1);}
     {OBJ x17;
      x17=_AModBody_19(x16);
      r=_AModBase_8(x3,x17);}}}
  }else{
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");}}
 return r;}

extern OBJ _APName_47(OBJ x1) /* pKindFct'47 */
{OBJ r;
 CPCLS(__APName_46,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_46,1))(__APName_46,x1);
 return r;}

extern OBJ _APName_48(OBJ x1) /* pFunFct'48 */
{OBJ r;
 CPCLS(__ABaseParser_50,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_98);
 return r;}

extern OBJ _APName_49(OBJ x1) /* pFunFct'49 */
{OBJ r;
 CPCLS(__APName_4,1);
 CPCLS(__APName_48,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_13,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_48,1))(__APName_48,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_4,__AModBase_13);}
 return r;}

extern OBJ _APName_50(OBJ x1) /* pFunFct'50 */
{OBJ r;
 CPCLS(__APName_18,1);
 CPCLS(__APName_49,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_6,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_49,1))(__APName_49,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,__APName_18,x2,__AModName_6);}
 return r;}

extern OBJ _APName_51(OBJ x1) /* pFunFct'51 */
{OBJ r;
 r=_ATerminal_145(__ATerminal_82);
 return r;}

extern OBJ _APName_52(OBJ x1) /* pFunFct'52 */
{OBJ r;
 CPCLS(__APName_17,1);
 CPCLS(__APName_48,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_6,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_48,1))(__APName_48,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_17,__AModName_6);}
 return r;}

extern OBJ _APName_53(OBJ x1,OBJ x2) /* pFunFct'53 */
{OBJ r;
 {OBJ x6;OBJ x8;OBJ x15;OBJ x9;
  if(ISPRM(x1)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x4=FLD1(x1,1);
    CPPRD(x4,1);
    x6=x4;}}
  CPPRD(x6,1);
  x8=_AToken_9(__ATerminal_84,x6);
  if(ISTGPRM(x8,1)){
   {OBJ x12;
    if(ISPRM(x1)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x11=FLD1(x1,2);
      COPY(x11,1);
      x12=x11;}}
    if(ISPRM(x12)){
     CPCLS(__APName_50,1);
     x15=__ABUILTIN_5;
    }else{
     if(EXPRD(x12,1)){
      DSPRD(x12);
     }else{
      DCPRD(x12,1);}
     CPCLS(__APName_50,1);
     x15=__ABUILTIN_3;}}
  }else{
   CPCLS(__APName_50,1);
   x15=__ABUILTIN_3;}
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_50,1))(__APName_50,__ABUILTIN_20);
  if(ISTGPRM(x15,1)){
   FRCLS(x9,1);
   {OBJ x18;OBJ x19;
    if(ISPRM(x1)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x17=FLD1(x1,2);
      if(EXPRD(x1,1)){
       x18=x17;
       FRPRD(FLD1(x1,1),1);DSPRDF(x1);
      }else{
       COPY(x17,1);
       x18=x17;
       FRPRD(x1,1);}
      CPCLS(__APName_51,1);}}
    x19=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_51,1))(__APName_51,__ABUILTIN_20);
    {OBJ x22=FLD1(x6,3);
     if(EXPRD(x6,1)){
      FRPRD(FLD1(x6,2),1);DSPRDF(x6);
     }else{
      COPY(x22,1);
      FRPRD(x6,1);}
     {OBJ x23;
      x23=x22;
      PRD(3,0,r);FLD(r,2)=__AAbsy_2;FLD(r,3)=x18;
      FLD(r,1)=_APErr_12(x19,x23);}}}
  }else{
   FRPRD(x6,1);
   {OBJ x33;
    if(ISTGPRM(x8,1)){
     {OBJ x27;
      if(ISPRM(x1)){
       HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
      }else{
       {OBJ x26=FLD1(x1,2);
	COPY(x26,1);
	x27=x26;}}
      if(ISPRM(x27)){
       x33=__ABUILTIN_3;
      }else{
       if(EXPRD(x27,1)){
	DSPRD(x27);
       }else{
	DCPRD(x27,1);}
       x33=__ABUILTIN_5;}}
    }else{
     x33=__ABUILTIN_3;}
    if(ISTGPRM(x33,1)){
     {OBJ x36;OBJ x42;OBJ x39;OBJ x43;
      if(ISPRM(x1)){
       HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
      }else{
       {OBJ x35=FLD1(x1,2);
	COPY(x35,1);
	x36=x35;}}
      if(ISPRM(x36)){
       HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
      }else{
       {OBJ x85=FLD1(x36,1);
	CPPRD(x85,1);
	x42=x85;
	x39=__ABUILTIN_3;}}
      x43=_AToken_9(__ATerminal_82,x42);
      if(ISTGPRM(x43,1)){
       FREE(x1,1);
       FRCLS(x9,1);
       {OBJ x47;OBJ x44;OBJ x48;
	if(ISPRM(x36)){
	 HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	}else{
	 {OBJ x46=FLD1(x36,2);
	  if(EXPRD(x36,1)){
	   x47=x46;
	   FRPRD(FLD1(x36,1),1);DSPRDF(x36);
	  }else{
	   COPY(x46,1);
	   x47=x46;
	   FRPRD(x36,1);}
	  CPCLS(__APName_52,1);}}
	x44=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_52,1))(__APName_52,__ABUILTIN_20);
	x48=_ABaseParser_26(x44,x47);
	if(ISTGPRD(x48,1)){
	 {OBJ x77;OBJ x78;OBJ x79;
	  if(EXPRD(x48,1)){
	   RPRD(x48,r);CHGTG(r,0);
	  }else{
	   x77=FLD(x48,1);x78=FLD(x48,2);x79=FLD(x48,3);CPPRD(x77,1);COPY(x78,1);COPY(x79,1);
	   FRPRD(x48,1);PRD(3,0,r);FLD(r,1)=x77;FLD(r,2)=x78;FLD(r,3)=x79;}}
	}else{
	 r=x48;}}
      }else{
       FREE(x36,1);
       r=_ABaseParser_26(x9,x1);}}
    }else{
     r=_ABaseParser_26(x9,x1);}}}}
 return r;}

extern OBJ _APName_54(OBJ x1) /* pProdFct'54 */
{OBJ r;
 CPCLS(__APName_19,1);
 CPCLS(__ABaseParser_42,1);
 CPPRD(__AModName_7,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_42,3))(__ABaseParser_42,__APName_19,__ATerminal_96,__AModName_7);
 return r;}

extern OBJ _APName_55(OBJ x1,OBJ x2) /* pProdFct'55 */
{OBJ r;
 CPCLS(__APName_54,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_54,1))(__APName_54,__ABUILTIN_20);
  r=_ABaseParser_26(x3,x1);}
 return r;}

extern OBJ _APName_56(OBJ x1) /* pSimpleFct'56 */
{OBJ r;
 r=_ATerminal_145(__ATerminal_82);
 return r;}

extern OBJ _APName_57(OBJ x1) /* pSimpleFct'57 */
{OBJ r;
 CPCLS(__ABaseParser_50,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_98);
 return r;}

extern OBJ _APName_58(OBJ x1) /* pSimpleFct'58 */
{OBJ r;
 CPCLS(__APName_17,1);
 CPCLS(__APName_57,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModName_6,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_57,1))(__APName_57,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,__APName_17,__AModName_6);}
 return r;}

extern OBJ _APName_59(OBJ x1) /* pSimpleFct'59 */
{OBJ r;
 CPCLS(__ABaseParser_50,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_82);
 return r;}

extern OBJ _APName_60(OBJ x1) /* pSimpleFct'60 */
{OBJ r;
 CPCLS(__APName_4,1);
 CPCLS(__APName_59,1);
 CPCLS(__ABaseParser_36,1);
 CPPRD(__AModBase_12,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_59,1))(__APName_59,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,__APName_4,x2,__AModBase_12);}
 return r;}

extern OBJ _APName_61(OBJ x1,OBJ x2) /* pSimpleFct'61 */
{OBJ r;
 {OBJ x5;OBJ x6;OBJ x12;
  if(ISPRM(x1)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x3=FLD1(x1,1);
    CPPRD(x3,1);
    x5=x3;}}
  CPPRD(x5,1);
  x6=_AToken_9(__ATerminal_84,x5);
  if(ISTGPRM(x6,1)){
   {OBJ x9;
    if(ISPRM(x1)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x8=FLD1(x1,2);
      COPY(x8,1);
      x9=x8;}}
    if(ISPRM(x9)){
     x12=__ABUILTIN_5;
    }else{
     if(EXPRD(x9,1)){
      DSPRD(x9);
     }else{
      DCPRD(x9,1);}
     x12=__ABUILTIN_3;}}
  }else{
   x12=__ABUILTIN_3;}
  if(ISTGPRM(x12,1)){
   {OBJ x15;OBJ x16;
    if(ISPRM(x1)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x14=FLD1(x1,2);
      if(EXPRD(x1,1)){
       x15=x14;
       FRPRD(FLD1(x1,1),1);DSPRDF(x1);
      }else{
       COPY(x14,1);
       x15=x14;
       FRPRD(x1,1);}
      CPCLS(__APName_56,1);}}
    x16=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_56,1))(__APName_56,__ABUILTIN_20);
    {OBJ x19=FLD1(x5,3);
     if(EXPRD(x5,1)){
      FRPRD(FLD1(x5,2),1);DSPRDF(x5);
     }else{
      COPY(x19,1);
      FRPRD(x5,1);}
     {OBJ x20;
      x20=x19;
      PRD(3,0,r);FLD(r,2)=__AAbsy_2;FLD(r,3)=x15;
      FLD(r,1)=_APErr_12(x16,x20);}}}
  }else{
   FRPRD(x5,1);
   {OBJ x30;
    if(ISTGPRM(x6,1)){
     {OBJ x24;
      if(ISPRM(x1)){
       HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
      }else{
       {OBJ x23=FLD1(x1,2);
	COPY(x23,1);
	x24=x23;}}
      if(ISPRM(x24)){
       x30=__ABUILTIN_3;
      }else{
       if(EXPRD(x24,1)){
	DSPRD(x24);
       }else{
	DCPRD(x24,1);}
       x30=__ABUILTIN_5;}}
    }else{
     x30=__ABUILTIN_3;}
    if(ISTGPRM(x30,1)){
     {OBJ x33;OBJ x39;OBJ x36;OBJ x40;
      if(ISPRM(x1)){
       HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
      }else{
       {OBJ x32=FLD1(x1,2);
	if(EXPRD(x1,1)){
	 x33=x32;
	 FRPRD(FLD1(x1,1),1);DSPRDF(x1);
	}else{
	 COPY(x32,1);
	 x33=x32;
	 FRPRD(x1,1);}}}
      if(ISPRM(x33)){
       HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
      }else{
       {OBJ x85=FLD1(x33,1);
	CPPRD(x85,1);
	x39=x85;
	x36=__ABUILTIN_3;}}
      x40=_AToken_9(__ATerminal_82,x39);
      if(ISTGPRM(x40,1)){
       {OBJ x45;OBJ x42;OBJ x46;
	if(ISPRM(x33)){
	 HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	}else{
	 {OBJ x44=FLD1(x33,2);
	  if(EXPRD(x33,1)){
	   x45=x44;
	   FRPRD(FLD1(x33,1),1);DSPRDF(x33);
	  }else{
	   COPY(x44,1);
	   x45=x44;
	   FRPRD(x33,1);}
	  CPCLS(__APName_58,1);}}
	x42=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_58,1))(__APName_58,__ABUILTIN_20);
	x46=_ABaseParser_26(x42,x45);
	if(ISTGPRD(x46,1)){
	 {OBJ x75;OBJ x76;OBJ x77;
	  if(EXPRD(x46,1)){
	   RPRD(x46,r);CHGTG(r,0);
	  }else{
	   x75=FLD(x46,1);x76=FLD(x46,2);x77=FLD(x46,3);CPPRD(x75,1);COPY(x76,1);COPY(x77,1);
	   FRPRD(x46,1);PRD(3,0,r);FLD(r,1)=x75;FLD(r,2)=x76;FLD(r,3)=x77;}}
	}else{
	 r=x46;}}
      }else{
       CPCLS(__APName_60,1);
       {OBJ x82;
	x82=(*(OBJ(*)(OBJ,OBJ))METHOD(__APName_60,1))(__APName_60,__ABUILTIN_20);
	r=_ABaseParser_26(x82,x33);}}}
    }else{
     CPCLS(__APName_9,1);
     CPPRD(__AModName_3,1);
     {OBJ x88;
      x88=_ABaseParser_26(__APName_9,x1);
      r=_AModBase_8(x88,__AModName_3);}}}}}
 return r;}


static void ___APName_2()
{
 CPCLS(__APName_9,1);
 COPY(__APName_20,1);
 CPCLS(__ABaseParser_36,1);
 CPCLS(__ABaseParser_61,1);
 CPCLS(__ATerminal_141,1);
 COPY(__ATerminal_146,1);
 CPPRD(__AModBase_12,1);
 {OBJ x1;OBJ x2;
  x1=_ASet_42(__ATerminal_141,__ATerminal_146,__APName_20);
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_61,1))(__ABaseParser_61,x1);
  __APName_2=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,__APName_9,x2,__AModBase_12);}}

static void ___APName_3()
{
 CPCLS(__APName_12,1);
 COPY(__APName_20,1);
 CPCLS(__ABaseParser_36,1);
 CPCLS(__ABaseParser_61,1);
 CPCLS(__ATerminal_141,1);
 COPY(__ATerminal_146,1);
 CPPRD(__AModBase_12,1);
 {OBJ x1;OBJ x2;
  x1=_ASet_42(__ATerminal_141,__ATerminal_146,__APName_20);
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_61,1))(__ABaseParser_61,x1);
  __APName_3=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,__APName_12,x2,__AModBase_12);}}

static void ___APName_6()
{
 CPCLS(__APName_9,1);
 CPCLS(__ABaseParser_36,2);
 CPCLS(__ABaseParser_42,1);
 CPCLS(__ABaseParser_50,2);
 CPPRD(__AModBase_12,1);
 CPPRD(__AModBase_13,1);
 CPPRD(__AModName_5,1);
 {OBJ x1;OBJ x2;OBJ x3;OBJ x4;
  x1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_76);
  x2=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_42,3))(__ABaseParser_42,__APName_9,__ATerminal_80,__AModName_5);
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_74);
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x2,x3,__AModBase_12);
  __APName_6=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x1,x4,__AModBase_13);}}

static void ___APName_7()
{
 if(ISTGPRM(__AZOpts_2,1)){
  CPCLS(__APName_10,1);
  CPCLS(__ABaseParser_36,1);
  CPCLS(__ABaseParser_71,1);
  CPPRD(__AModBase_13,1);
  {OBJ x1;
   x1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_71,1))(__ABaseParser_71,__ATerminal_34);
   __APName_7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x1,__APName_10,__AModBase_13);}
 }else{
  CPCLS(__ABaseParser_68,1);
  CPCLS(__APErr_15,1);
  __APName_7=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_68,1))(__ABaseParser_68,__APErr_15);}}

static void ___APName_10()
{
 CPCLS(__APName_15,1);
 CPCLS(__ABaseParser_40,1);
 CPCLS(__ABaseParser_50,1);
 CPPRD(__AModName_11,1);
 {OBJ x1;
  x1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_34);
  __APName_10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_40,3))(__ABaseParser_40,x1,__APName_15,__AModName_11);}}

static void ___APName_11()
{
 CPCLS(__APName_1,1);
 CPCLS(__ABaseParser_36,1);
 CPCLS(__ABaseParser_50,1);
 CPPRD(__AModBase_13,1);
 {OBJ x1;
  x1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_78);
  __APName_11=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x1,__APName_1,__AModBase_13);}}

static void ___APName_12()
{
 CPCLS(__APName_1,1);
 CPCLS(__APName_7,1);
 CPCLS(__APName_15,1);
 CPCLS(__ABaseParser_38,1);
 CPCLS(__ABaseParser_40,1);
 CPPRD(__AModName_11,1);
 {OBJ x1;
  x1=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_40,3))(__ABaseParser_40,__APName_1,__APName_15,__AModName_11);
  __APName_12=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ABaseParser_38,2))(__ABaseParser_38,__APName_7,x1);}}

static void ___APName_14()
{
 CPCLS(__APName_45,1);
 CPCLS(__ABaseParser_36,1);
 CPCLS(__ABaseParser_50,1);
 CPPRD(__AModBase_13,1);
 {OBJ x1;
  x1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_94);
  __APName_14=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x1,__APName_45,__AModBase_13);}}

static void ___APName_15()
{
 CPCLS(__APName_47,1);
 CPCLS(__ABaseParser_36,1);
 CPCLS(__ABaseParser_50,1);
 CPPRD(__AModBase_13,1);
 {OBJ x1;
  x1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_94);
  __APName_15=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__ABaseParser_36,3))(__ABaseParser_36,x1,__APName_47,__AModBase_13);}}

static void ___APName_20()
{
 CPCLS(__ATerminal_141,3);
 {OBJ x1;OBJ x2;OBJ x3;
  PRD1F(2,x1);FLD1(x1,1)=__ATerminal_76;FLD1(x1,2)=__ASeq_6;
  x2=_ASet_39(__ATerminal_141,__ATerminal_74,x1);
  x3=_ASet_39(__ATerminal_141,__ATerminal_78,x2);
  __APName_20=_ASet_39(__ATerminal_141,__ATerminal_94,x3);}}


init_APName()
{
 static int visited=0; if(visited) return; visited=1;
 init_ARepTab();
 init_AModBase();
 init_APErr();
 init_AZOpts();
 init_ABaseParser();
 init_AModName();
 init_APTypes();
 init_AModBody();
 init_AToken();
 init_ADenotation();
 init_AAbsy();
 init_ASetByBST();
 init_AOcError();
 init_ABSTree();
 init_ASeq();
 init_ATree();
 init_ANat();
 init_AArray();
 init_AOption();
 init_ASeqReduce();
 init_AOcPos();
 init_ASeqConv();
 init_AString();
 init_ALexem();
 init_AOcOptions();
 init_ACom();
 init_AVoid();
 init_AChar();
 init_AStream();
 init_AFile();
 init_AInt();
 init_APragma();
 init_AFct();
 init_AStruct();
 init_AImpl();
 init_APartName();
 init_ARep();
 init_APair();
 init_ABitset();
 init_AGlobPragma();
 init_AMap();
 init_ASet();
 init_ATerminal();
 LCLS(1,_APName_31,__APName_31);
 LCLS(2,_APName_30,__APName_30);
 LCLS(2,_APName_61,__APName_61);
 LCLS(1,_APName_29,__APName_29);
 LCLS(1,_APName_60,__APName_60);
 LCLS(2,_APName_28,__APName_28);
 LCLS(1,_APName_59,__APName_59);
 DEN("`**\' interpreted as `any\' functionality",__APName_27);
 LCLS(1,_APName_58,__APName_58);
 LCLS(1,_APName_57,__APName_57);
 LCLS(1,_APName_25,__APName_25);
 LCLS(1,_APName_56,__APName_56);
 LCLS(1,_APName_24,__APName_24);
 LCLS(2,_APName_55,__APName_55);
 LCLS(1,_APName_23,__APName_23);
 LCLS(1,_APName_54,__APName_54);
 LCLS(1,_APName_22,__APName_22);
 LCLS(2,_APName_53,__APName_53);
 LCLS(1,_APName_21,__APName_21);
 LCLS(1,_APName_52,__APName_52);
 LCLS(1,_APName_51,__APName_51);
 CLS(1,_APName_19,__APName_19);
 LCLS(1,_APName_50,__APName_50);
 CLS(1,_APName_18,__APName_18);
 LCLS(1,_APName_49,__APName_49);
 CLS(1,_APName_17,__APName_17);
 LCLS(1,_APName_48,__APName_48);
 CLS(1,_APName_47,__APName_47);
 LCLS(2,_APName_46,__APName_46);
 CLS(1,_APName_45,__APName_45);
 LCLS(2,_APName_44,__APName_44);
 LCLS(2,_APName_43,__APName_43);
 LCLS(1,_APName_42,__APName_42);
 LCLS(1,_APName_41,__APName_41);
 CLS(1,_APName_9,__APName_9);
 LCLS(1,_APName_40,__APName_40);
 CLS(1,_APName_8,__APName_8);
 LCLS(1,_APName_39,__APName_39);
 LCLS(1,_APName_38,__APName_38);
 LCLS(1,_APName_37,__APName_37);
 CLS(1,_APName_5,__APName_5);
 LCLS(1,_APName_36,__APName_36);
 CLS(1,_APName_4,__APName_4);
 LCLS(1,_APName_35,__APName_35);
 LCLS(1,_APName_34,__APName_34);
 LCLS(2,_APName_33,__APName_33);
 LCLS(1,_APName_32,__APName_32);
 CPCLS(__ABaseParser_50,1);
 __APName_1=(*(OBJ(*)(OBJ,OBJ))METHOD(__ABaseParser_50,1))(__ABaseParser_50,__ATerminal_72);
 ___APName_20();
 ___APName_2();
 ___APName_15();
 ___APName_10();
 ___APName_7();
 ___APName_12();
 ___APName_3();
 ___APName_6();
 ___APName_11();
 ___APName_14();
 COPY(__AFct_24,1);
 PRD(1,5,__APName_26);FLD(__APName_26,1)=__AFct_24;}

